Ignore:
Timestamp:
Oct 15, 2013 11:48:43 PM (7 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/stable/1.2/configure

    r2934 r2994  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-metis compile project Metis with debug compiler flags
    1064   --enable-doscompile     Under Cygwin, compile so that executables run under
    1065                           DOS. Set to mingw to use gcc/g++/ld with
    1066                           -mno-cygwin. Set to msvc to use cl/link (or
    1067                           icl/link). Default when mentioned: mingw. Default
    1068                           when not mentioned: disabled.
     1064
     1065  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10691066  --disable-pkg-config    disable use of pkg-config (if available)
    10701067  --enable-static[=PKGS]
     
    18541851
    18551852# Get the name of the C compiler
    1856 case $build in
     1853
     1854
     1855  # for backward compatibility
     1856  # Check whether --enable-doscompile or --disable-doscompile was given.
     1857if test "${enable_doscompile+set}" = set; then
     1858  enableval="$enable_doscompile"
     1859  enable_doscompile=$enableval
     1860else
     1861  enable_doscompile=no
     1862fi;
     1863
     1864  # Check whether --enable-msvc or --disable-msvc was given.
     1865if test "${enable_msvc+set}" = set; then
     1866  enableval="$enable_msvc"
     1867  enable_msvc=$enableval
     1868else
     1869  enable_msvc=no
     1870     if test "$enable_doscompile" = msvc ; then
     1871       enable_msvc=yes
     1872     elif test "$enable_doscompile" != no ; then
     1873       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1874echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1875   { (exit 1); exit 1; }; }
     1876     fi
     1877
     1878fi;
     1879
     1880  if test "$enable_msvc" = yes; then
     1881    case $build in
     1882      *-cygwin* | *-mingw*) ;;
     1883      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1884echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1885   { (exit 1); exit 1; }; } ;;
     1886    esac
     1887  fi
     1888
     1889
     1890 case $build in
    18571891  *-mingw*)
    18581892    if test "${LD+set}" = set; then :; else
     
    18611895    ;;
    18621896 esac
    1863  case $enable_doscompile in
    1864    msvc)
    1865      if test "x${LD+set}" = xset; then :; else
    1866        LD=link
    1867      fi
    1868      ;;
    1869  esac
    1870 
    1871 
    1872  # Check whether --enable-doscompile or --disable-doscompile was given.
    1873 if test "${enable_doscompile+set}" = set; then
    1874   enableval="$enable_doscompile"
    1875   if test "$enable_doscompile" != no; then
    1876      case $build in
    1877        *-cygwin* | *-mingw*) ;;
    1878        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1879 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1880    { (exit 1); exit 1; }; } ;;
    1881      esac
     1897 if test $enable_msvc = yes ; then
     1898   if test "x${LD+set}" = xset; then :; else
     1899     LD=link
    18821900   fi
    1883 else
    1884   enable_doscompile=no
    1885 fi;
    1886  case "$enable_doscompile" in
    1887    mingw)
    1888      case $build in
    1889        *-mingw*) enable_doscompile=no ;;
    1890      esac
    1891      ;;
    1892    msvc|no) ;;
    1893    yes) enable_doscompile=mingw ;;
    1894    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1895                     Try configure --help=recursive." >&5
    1896 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1897                     Try configure --help=recursive." >&2;}
    1898    { (exit 1); exit 1; }; }
    1899       ;;
    1900   esac
    1901   if test "$enable_doscompile" != no ; then
    1902     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1903 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1904   fi
     1901 fi
    19051902
    19061903
     
    19451942case $build in
    19461943  *-cygwin* | *-mingw*)
    1947              if test "$enable_doscompile" = msvc ; then
    1948                comps="icl cl"
     1944             if test "$enable_msvc" = yes ; then
     1945               comps="icl cl gcc"
    19491946             else
    1950                comps="gcc cl"
     1947               comps="gcc icl cl"
    19511948             fi ;;
    19521949  *-*-solaris*)
     
    28012798            ;;
    28022799        esac
    2803         case $enable_doscompile in
    2804           mingw)
    2805             CFLAGS="-mno-cygwin"
    2806             cat >conftest.$ac_ext <<_ACEOF
    2807 /* confdefs.h.  */
    2808 _ACEOF
    2809 cat confdefs.h >>conftest.$ac_ext
    2810 cat >>conftest.$ac_ext <<_ACEOF
    2811 /* end confdefs.h.  */
    2812 
    2813 int
    2814 main ()
    2815 {
    2816 int i=0; i++;
    2817   ;
    2818   return 0;
    2819 }
    2820 _ACEOF
    2821 rm -f conftest.$ac_objext conftest$ac_exeext
    2822 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2823   (eval $ac_link) 2>conftest.er1
    2824   ac_status=$?
    2825   grep -v '^ *+' conftest.er1 >conftest.err
    2826   rm -f conftest.er1
    2827   cat conftest.err >&5
    2828   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2829   (exit $ac_status); } &&
    2830          { ac_try='test -z "$ac_c_werror_flag"
    2831                          || test ! -s conftest.err'
    2832   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2833   (eval $ac_try) 2>&5
    2834   ac_status=$?
    2835   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2836   (exit $ac_status); }; } &&
    2837          { ac_try='test -s conftest$ac_exeext'
    2838   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2839   (eval $ac_try) 2>&5
    2840   ac_status=$?
    2841   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2842   (exit $ac_status); }; }; then
    2843   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2844 else
    2845   echo "$as_me: failed program was:" >&5
    2846 sed 's/^/| /' conftest.$ac_ext >&5
    2847 
    2848 fi
    2849 rm -f conftest.err conftest.$ac_objext \
    2850       conftest$ac_exeext conftest.$ac_ext
    2851             CFLAGS=
    2852           ;;
    2853         esac
    28542800    esac
    28552801  fi
     
    31923138  clang* ) ;;
    31933139  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3194     case $build in
     3140
     3141 case $build in
    31953142  *-mingw*)
    31963143    if test "${LD+set}" = set; then :; else
     
    31993146    ;;
    32003147 esac
    3201  case $enable_doscompile in
    3202    msvc)
    3203      if test "x${LD+set}" = xset; then :; else
    3204        LD=link
    3205      fi
    3206      ;;
    3207  esac
     3148 if test $enable_msvc = yes ; then
     3149   if test "x${LD+set}" = xset; then :; else
     3150     LD=link
     3151   fi
     3152 fi
    32083153
    32093154    ;;
     
    50675012*-*-irix6*)
    50685013  # Find out which ABI we are using.
    5069   echo '#line 5069 "configure"' > conftest.$ac_ext
     5014  echo '#line 5014 "configure"' > conftest.$ac_ext
    50705015  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50715016  (eval $ac_compile) 2>&5
     
    66666611
    66676612# Provide some information about the compiler.
    6668 echo "$as_me:6668:" \
     6613echo "$as_me:6613:" \
    66696614     "checking for Fortran 77 compiler version" >&5
    66706615ac_compiler=`set X $ac_compile; echo $2`
     
    77337678   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77347679   -e 's:$: $lt_compiler_flag:'`
    7735    (eval echo "\"\$as_me:7735: $lt_compile\"" >&5)
     7680   (eval echo "\"\$as_me:7680: $lt_compile\"" >&5)
    77367681   (eval "$lt_compile" 2>conftest.err)
    77377682   ac_status=$?
    77387683   cat conftest.err >&5
    7739    echo "$as_me:7739: \$? = $ac_status" >&5
     7684   echo "$as_me:7684: \$? = $ac_status" >&5
    77407685   if (exit $ac_status) && test -s "$ac_outfile"; then
    77417686     # The compiler can only warn and ignore the option if not recognized
     
    80017946   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80027947   -e 's:$: $lt_compiler_flag:'`
    8003    (eval echo "\"\$as_me:8003: $lt_compile\"" >&5)
     7948   (eval echo "\"\$as_me:7948: $lt_compile\"" >&5)
    80047949   (eval "$lt_compile" 2>conftest.err)
    80057950   ac_status=$?
    80067951   cat conftest.err >&5
    8007    echo "$as_me:8007: \$? = $ac_status" >&5
     7952   echo "$as_me:7952: \$? = $ac_status" >&5
    80087953   if (exit $ac_status) && test -s "$ac_outfile"; then
    80097954     # The compiler can only warn and ignore the option if not recognized
     
    81058050   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81068051   -e 's:$: $lt_compiler_flag:'`
    8107    (eval echo "\"\$as_me:8107: $lt_compile\"" >&5)
     8052   (eval echo "\"\$as_me:8052: $lt_compile\"" >&5)
    81088053   (eval "$lt_compile" 2>out/conftest.err)
    81098054   ac_status=$?
    81108055   cat out/conftest.err >&5
    8111    echo "$as_me:8111: \$? = $ac_status" >&5
     8056   echo "$as_me:8056: \$? = $ac_status" >&5
    81128057   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81138058   then
     
    1045010395  lt_status=$lt_dlunknown
    1045110396  cat > conftest.$ac_ext <<EOF
    10452 #line 10452 "configure"
     10397#line 10397 "configure"
    1045310398#include "confdefs.h"
    1045410399
     
    1055010495  lt_status=$lt_dlunknown
    1055110496  cat > conftest.$ac_ext <<EOF
    10552 #line 10552 "configure"
     10497#line 10497 "configure"
    1055310498#include "confdefs.h"
    1055410499
     
    1289412839   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289512840   -e 's:$: $lt_compiler_flag:'`
    12896    (eval echo "\"\$as_me:12896: $lt_compile\"" >&5)
     12841   (eval echo "\"\$as_me:12841: $lt_compile\"" >&5)
    1289712842   (eval "$lt_compile" 2>conftest.err)
    1289812843   ac_status=$?
    1289912844   cat conftest.err >&5
    12900    echo "$as_me:12900: \$? = $ac_status" >&5
     12845   echo "$as_me:12845: \$? = $ac_status" >&5
    1290112846   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290212847     # The compiler can only warn and ignore the option if not recognized
     
    1299812943   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299912944   -e 's:$: $lt_compiler_flag:'`
    13000    (eval echo "\"\$as_me:13000: $lt_compile\"" >&5)
     12945   (eval echo "\"\$as_me:12945: $lt_compile\"" >&5)
    1300112946   (eval "$lt_compile" 2>out/conftest.err)
    1300212947   ac_status=$?
    1300312948   cat out/conftest.err >&5
    13004    echo "$as_me:13004: \$? = $ac_status" >&5
     12949   echo "$as_me:12949: \$? = $ac_status" >&5
    1300512950   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300612951   then
     
    1456814513   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456914514   -e 's:$: $lt_compiler_flag:'`
    14570    (eval echo "\"\$as_me:14570: $lt_compile\"" >&5)
     14515   (eval echo "\"\$as_me:14515: $lt_compile\"" >&5)
    1457114516   (eval "$lt_compile" 2>conftest.err)
    1457214517   ac_status=$?
    1457314518   cat conftest.err >&5
    14574    echo "$as_me:14574: \$? = $ac_status" >&5
     14519   echo "$as_me:14519: \$? = $ac_status" >&5
    1457514520   if (exit $ac_status) && test -s "$ac_outfile"; then
    1457614521     # The compiler can only warn and ignore the option if not recognized
     
    1467214617   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467314618   -e 's:$: $lt_compiler_flag:'`
    14674    (eval echo "\"\$as_me:14674: $lt_compile\"" >&5)
     14619   (eval echo "\"\$as_me:14619: $lt_compile\"" >&5)
    1467514620   (eval "$lt_compile" 2>out/conftest.err)
    1467614621   ac_status=$?
    1467714622   cat out/conftest.err >&5
    14678    echo "$as_me:14678: \$? = $ac_status" >&5
     14623   echo "$as_me:14623: \$? = $ac_status" >&5
    1467914624   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1468014625   then
     
    1687916824   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1688016825   -e 's:$: $lt_compiler_flag:'`
    16881    (eval echo "\"\$as_me:16881: $lt_compile\"" >&5)
     16826   (eval echo "\"\$as_me:16826: $lt_compile\"" >&5)
    1688216827   (eval "$lt_compile" 2>conftest.err)
    1688316828   ac_status=$?
    1688416829   cat conftest.err >&5
    16885    echo "$as_me:16885: \$? = $ac_status" >&5
     16830   echo "$as_me:16830: \$? = $ac_status" >&5
    1688616831   if (exit $ac_status) && test -s "$ac_outfile"; then
    1688716832     # The compiler can only warn and ignore the option if not recognized
     
    1714717092   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1714817093   -e 's:$: $lt_compiler_flag:'`
    17149    (eval echo "\"\$as_me:17149: $lt_compile\"" >&5)
     17094   (eval echo "\"\$as_me:17094: $lt_compile\"" >&5)
    1715017095   (eval "$lt_compile" 2>conftest.err)
    1715117096   ac_status=$?
    1715217097   cat conftest.err >&5
    17153    echo "$as_me:17153: \$? = $ac_status" >&5
     17098   echo "$as_me:17098: \$? = $ac_status" >&5
    1715417099   if (exit $ac_status) && test -s "$ac_outfile"; then
    1715517100     # The compiler can only warn and ignore the option if not recognized
     
    1725117196   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725217197   -e 's:$: $lt_compiler_flag:'`
    17253    (eval echo "\"\$as_me:17253: $lt_compile\"" >&5)
     17198   (eval echo "\"\$as_me:17198: $lt_compile\"" >&5)
    1725417199   (eval "$lt_compile" 2>out/conftest.err)
    1725517200   ac_status=$?
    1725617201   cat out/conftest.err >&5
    17257    echo "$as_me:17257: \$? = $ac_status" >&5
     17202   echo "$as_me:17202: \$? = $ac_status" >&5
    1725817203   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1725917204   then
     
    2041720362echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2041820363coin_link_input_cmd="$LN_S"
    20419 if test "$enable_doscompile" = mingw; then
    20420   coin_link_input_cmd=cp
    20421 fi
    2042220364case "$CC" in
    2042320365  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.